//  
//  SoftBank X}[gtHT[rXJxTCg
//  t@XR[h11(t/_CAO)
//
//  Copyright(c) 2011 SOFTBANK MOBILE Corp. All rights reserved
//

package com.example;

import java.util.Calendar;

import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.app.TimePickerDialog;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.TimePicker;

public class DialogSample extends Activity {

	// tAێϐ
	private int mYear;
	private int mMonth;
	private int mDay;
	private int mHour;
	private int mMinute;

	// _CAOpID
	static final int DATE_ID = 0;
	static final int TIME_ID = 1;

	// \Text
	private TextView dateText;
	private TextView timeText;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		// CalendarNXgpČ݂̓AԂ擾܂
		final Calendar calendar = Calendar.getInstance();
		mYear = calendar.get(Calendar.YEAR);
		mMonth = calendar.get(Calendar.MONTH);
		mDay = calendar.get(Calendar.DAY_OF_MONTH);
		mHour = calendar.get(Calendar.HOUR_OF_DAY);
		mMinute = calendar.get(Calendar.MINUTE);

		// tA\Text̃IuWFNg擾܂
		dateText = new TextView(this);
		timeText = new TextView(this);


		// t_CAONButton쐬܂
		Button dateButton = new Button(this);
		dateButton.setText("Get date");
		dateButton.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// {^NbNꂽہAidw肵ă_CAOĂяo܂
				// showDialogs邱ƂŃ\bhonCreateDialogĂяo܂
				showDialog(DATE_ID);
			}
		});

		// _CAONButton쐬܂
		Button timeButton = new Button(this);
		timeButton.setText("Get time");
		timeButton.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// {^NbNꂽہAidw肵ă_CAOĂяo܂
				// showDialogs邱ƂŃ\bhonCreateDialogĂяo܂
				showDialog(TIME_ID);
			}
		});

		// CAEg쐬AeLXgAButtonzu܂
		LinearLayout layout = new LinearLayout(this);
		layout.setOrientation(LinearLayout.VERTICAL);
		layout.addView(dateText, 0);
		layout.addView(timeText, 1);
		layout.addView(dateButton, 2);
		layout.addView(timeButton, 3);
		setContentView(layout);
		
		// tA̕\XV܂
		updateText();

	}

	private DatePickerDialog.OnDateSetListener mOnDateSetListener = new DatePickerDialog.OnDateSetListener() {
		@Override
		public void onDateSet(DatePicker view, int year, int monthOfYear,
				int dayOfMonth) {
			// _CAOɂētݒ肳ꂽۂɌĂяo郁\bhł
			// ł͐ݒ肳ꂽl擾AupdateTextŕ\̍XVsȂĂ܂
			mYear = year;
			mMonth = monthOfYear;
			mDay = dayOfMonth;
			updateText();
		}
	};

	private TimePickerDialog.OnTimeSetListener mOnTimeSetListener = new TimePickerDialog.OnTimeSetListener() {
		@Override
		public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
			// _CAOɂĎԂݒ肳ꂽۂɌĂяo郁\bhł
			// ł͐ݒ肳ꂽl擾AupdateTextŕ\̍XVsȂĂ܂
			mHour = hourOfDay;
			mMinute = minute;
			updateText();
		}
	};

	@Override
	protected Dialog onCreateDialog(int id) {
		// showDialogɂČĂяo܂
		// idɂētAԂ̃_CAO߂lƂĕԂ܂
		switch (id) {
		case DATE_ID:
			// _CAOĂяo܂
			// (ReLXg,_CAOɂČĂяo郁\bh,N̏l,
			// ̏l,t̏l)ƂȂĂ܂
			return new DatePickerDialog(this, mOnDateSetListener, mYear,
					mMonth, mDay);
		case TIME_ID:
			// t_CAOĂяo܂
			// (ReLXg,_CAOɂČĂяo郁\bh,̏l,
			// ̏l)ƂȂĂ܂
			return new TimePickerDialog(this, mOnTimeSetListener, mHour,
					mMinute, true);
		}
		return null;
	}

	private void updateText() {
		// ViewText̓tAԂ̓eXV܂
		 dateText.setText("Date " + Integer.toString(mYear) + "/"
		 + Integer.toString(mMonth) + "/" + Integer.toString(mDay));
		 timeText.setText("Time " + Integer.toString(mHour) + ":"
		 + Integer.toString(mMinute));

	}
}
